@import 'settings';

// A material design like card
@mixin card-contents {
    box-sizing: border-box;
    padding: 20px 20px 40px 20px;
    background: $white;
    border: solid 1px $gray-300;
    box-shadow: 0 2px 2px 0 rgba($black, 0.08),
                0 1px 5px 0 rgba($black, 0.05),
                0 2px 1px -1px rgba($black, 0.06);
}

@mixin card($gutter: 6px) {
    box-sizing: border-box;
    padding: $gutter;
}

// clear floats
@mixin clearfix {
  &::before,
  &::after {
    content: ' ';
    display: table;
    flex-basis: 0;
    order: 1;
  }

  &::after {
    clear: both;
  }
}
